<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2004 Hewlett-Packard Development Company, L.P. -->
<!DOCTYPE xsl:stylesheet [
	<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
	<!ENTITY hp_link "http://www.hp.com">
	%common_en;
	<!ENTITY devhome "Homepage">
	<!ENTITY devhome_tip "Go to the System Management Homepage">
	<!ENTITY tasks "Tasks">
	<!ENTITY tasks_tip "Click here to show or hide tasks for this page">
	<!-- Taken from menutask.xsl-->
	<!ENTITY not_oper_admin_msg "You must be logged in as operator or administrator to perform this operation.">
	<!-- menu bar icons -->
	<!ENTITY img_menu_item_enabled "&webapp_base;/img/arroww_13x13.gif">
	<!ENTITY img_menu_item_disabled "&webapp_base;/img/arrowg_13x13.gif">
	<!ENTITY feature_not_supported "This feature is not supported in this browser.">
	<!ENTITY cat_rescan_confirm    "Rescaning the repository directory and rebuilding the catalog will take several minutes. Are you sure you want to continue?">
	<!ENTITY cat_update_now_confirm "Do you want to run an immediate update of the repository using any proxy settings configured for the automatic update?">
	<!ENTITY cat_update_now_info    "An immediate update will be started.  The result of the update will appear in the log after it completes.">
]>
<!-- end of localization preface --><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="lang">&default_lang_code;</xsl:param>
	<xsl:param name="operator">false</xsl:param>
	<xsl:param name="machine">localhost</xsl:param>
	<xsl:param name="vcrlinks">false</xsl:param>
	<xsl:variable name="defaultTab">
		<xsl:value-of select="/cpqnav/navitem[@default='true']/@id"/>
	</xsl:variable>
	<xsl:output method="html" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="cpqnav/navheader/agentname"/>
				</title>
				<link rel="stylesheet" type="text/css" href="&webapp_base;/cpqnav.css"/>
				<script src="&webapp_base;/showhide.js" type="text/javascript" language="JavaScript"/>
				<script language="JavaScript">
               var defTab = "<xsl:value-of select="$defaultTab"/>";
               var currentTab="";
               var lastTab="";


function rescanCatalog(oMenu){
                  var fRescan = window.confirm("&cat_rescan_confirm;");
                  if (fRescan) {
                    parent.content.location.href = "&cgi_base;?legacyuri=&hmmo_base;/catalog&amp;rescan=true&amp;format=html";
                  }
               }

               function UpdateNow(oMenu){
                  var fUpdate = window.confirm("&cat_update_now_confirm;");
                  if (fUpdate == 1) {
                     window.alert("&cat_update_now_info;");
                     parent.content.location.href = "&cgi_base;?legacyuri=&hmmo_base;/catalog&amp;updatenow=true&amp;format=html";
                  }
               }

		function nav_showhide(n)
		{
			var oMenu = document.getElementById("3");
			if (n  == 1)
			{
				var new_txt = document.createTextNode("&home_task_hide_all;");
				oMenu.replaceChild(new_txt, oMenu.childNodes[0]);
			}
			else
			{
				var new_txt = document.createTextNode("&home_task_show_all;");
          oMenu.replaceChild(new_txt, oMenu.childNodes[0]);
          }
          }

          function adjectmenu()
          {
          var xx;
          if(document.getElementById("header").style.display=="none")
          {xx=45;}
          else
          {xx=100;}

          if(currentTab =="HomeTab")
          {
          xx = xx + window.document.getElementById("Homesubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows=xx + ",*";
          }
          else if(currentTab =="LogTab")
          {
          xx = xx + window.document.getElementById("Logsubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows=xx + ",*";
          }
          else if(currentTab =="CatalogTab")
          {
          xx = xx + window.document.getElementById("Catalogsubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          else if(currentTab =="ReportTab")
          {
          xx = xx + window.document.getElementById("Reportsubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          else if(currentTab =="ArchiveTab")
          {
          xx = xx + window.document.getElementById("Archivesubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }

          else
          {
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          }

          function In(o)
          {
          //var d = document.getElementById(o.id + "A");
          //  d.style.color = "#FFFFFF";
          if (o.id==currentTab)
          {
          var xx;
          if(document.getElementById("header").style.display=="none")
          {xx=45;}
          else
          {xx=100;}

          if(o.id =="HomeTab")
          {
          document.getElementById("homesubdiv").style.display = "block";
          document.getElementById("logsubdiv").style.display = "none";
          document.getElementById("catsubdiv").style.display = "none";
          document.getElementById("reportsubdiv").style.display = "none";
          document.getElementById("archivesubdiv").style.display = "none";
          xx = xx + window.document.getElementById("Homesubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows=xx + ",*";
          }
          else if(o.id =="LogTab")
          {
          document.getElementById("homesubdiv").style.display = "none";
          document.getElementById("logsubdiv").style.display = "block";
          document.getElementById("catsubdiv").style.display = "none";
          document.getElementById("reportsubdiv").style.display = "none";
          document.getElementById("archivesubdiv").style.display = "none";
          xx = xx + window.document.getElementById("Logsubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows=xx + ",*";
          }
          else if(o.id =="CatalogTab")
          {
          document.getElementById("logsubdiv").style.display = "none";
          document.getElementById("homesubdiv").style.display = "none";
          document.getElementById("catsubdiv").style.display = "block";
          document.getElementById("reportsubdiv").style.display = "none";
          document.getElementById("archivesubdiv").style.display = "none";
          xx = xx + window.document.getElementById("Catalogsubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          else if(o.id =="ReportTab")
          {
          document.getElementById("logsubdiv").style.display = "none";
          document.getElementById("homesubdiv").style.display = "none";
          document.getElementById("catsubdiv").style.display = "none";
          document.getElementById("reportsubdiv").style.display = "block";
          document.getElementById("archivesubdiv").style.display = "none";
          xx = xx + window.document.getElementById("Reportsubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          else if(o.id =="ArchiveTab")
          {
          document.getElementById("logsubdiv").style.display = "none";
          document.getElementById("homesubdiv").style.display = "none";
          document.getElementById("catsubdiv").style.display = "none";
          document.getElementById("reportsubdiv").style.display = "none";
          document.getElementById("archivesubdiv").style.display = "block";
          xx = xx + window.document.getElementById("Archivesubtable").clientHeight;
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          else
          {
          document.getElementById("logsubdiv").style.display = "none";
          document.getElementById("homesubdiv").style.display = "none";
          document.getElementById("catsubdiv").style.display = "none";
          document.getElementById("reportsubdiv").style.display = "none";
          document.getElementById("archivesubdiv").style.display = "none";
          parent.document.getElementById("main_frameset").rows = xx + ",*";
          }
          }
          }

          function Out(o)
          {
          if (o.id != currentTab) {
          var d = document.getElementById(o.id + "A");
          d.style.color = "#CCCCCC";
          }
          }

          function selectTab(tabName)
          {
          if (tabName != currentTab)
          {
          lastTab = currentTab;
          currentTab = tabName;
          var oNewSelTab = document.getElementById(tabName);
          if (oNewSelTab)
          {
          oNewSelTab.style.background = "url(&webapp_base;/img/hitab.gif)";
					var oNewTarget = document.getElementById(tabName + "A");
					oNewTarget.style.color = "#FFFFFF";
					// try to display the submenu for this tab
					In(oNewSelTab);
				}
				if(lastTab.length) // to fix error during 1st time.
				{
					var oOldSelTab = document.getElementById(lastTab);
					if (oOldSelTab)
					{
						oOldSelTab.style.background = "url(&webapp_base;/img/tab.gif)";
          var oOldTarget = document.getElementById(lastTab + "A");
          oOldTarget.style.color = "#CCCCCC";
          }
          }
          }
          }

          function Navigate(obj)
          {
          // IE/Win document.all(obj.id + "A").click();
          parent.content.location.href = document.getElementById(obj.id + "A").href; // Linux/Win/Moz/IE
          // this doesn't work... document.getElementById(obj.id + "A").click();
          selectTab(obj.id);
          }

          function setDefaultTab()
          {
          selectTab(defTab);
          }

          function ReloadContentPage(tabNameList) {
          var aryTabs = tabNameList.split(',');
          for (var i = 0; i != aryTabs.length; i++) {
          if (aryTabs[i] == currentTab) {
          Navigate(document.getElementById(currentTab));
          break;
          }
          }
          }

	  //state can be true or false
	function other_buttons(state)
	{
		if(state == true)
		{
			document.getElementById("3").style.display="block";
		}
		else
		{
			document.getElementById("3").style.display="none";
		}
	}
	
          function setTab(tabName)
          {
          if (tabName != currentTab)
          {
          selectTab(tabName);
          }
          if(tabName=="HomeTab")
          {
          other_buttons(true);
          }
          // need to repaint the tab background. If the user is required to relogin the
          // selected background tab is not paint properly.
          // else if (document.all(tabName) != null)
          //    document.all(tabName).background="&webapp_base;/img/hitab.gif";
          }

          var helpWindow = null;
          function openHelpWin(url)
          {
          if (!helpWindow || helpWindow.closed)
          {
          helpWindow = window.open(url,"_helpwin",'toolbar=1,location=0,directories=0,status=1,menubar=0,scrollbars=1,resizable=1,width=640,height=480');
          }
          else
          {
          helpWindow.location = url;
          }
          helpWindow.focus();
          return true;
          }

          function testload(a)
          {
          var oMenu=	document.getElementById("3");
          var new_txt = document.createTextNode(a);
          oMenu.replaceChild(new_txt, oMenu.childNodes[0]);
          }

          function PageLoad() {
          setDefaultTab();
          // tell the frameset we're loaded

	  other_buttons(true); //enable the buttons.

          if (window.parent) {
          if (window.parent.frames[0].parent.name!="")
          {
          //came from smh page so do not load header
          document.getElementById("header").style.display="none";
          parent.document.getElementById("main_frameset").rows="60,*";
          document.getElementById("main_tabs").style.top="10px";
          }
          window.parent.FrameLoaded(window.name);
          }
          }

          // the frameset calls this when the frames are all loaded
          function onFramesLoaded() {/*noop for this frame*/}

          function highlightmenu(tr)
          {
          tr.style.color = "white";
          tr.style.cursor = "pointer";
          tr.className='linkover';
          }

          function unhighlightmenu(tr)
          {
          {
          tr.style.color = "black";
          tr.style.cursor = "auto";
          tr.className='linkout';
          }
          }

          var subWindow;
          function TaskClick(href, style, br ) {
          if(currentTab=="HomeTab" &amp;&amp; href=="&cgi_base;?legacyuri=&hmmo_base;/configui&amp;wiz=vcacfg")
          {
                    other_buttons(false);
          }
          if( br != "both" )
          {
          if( navigator.userAgent.indexOf( "MSIE" ) == -1 )
          type = "moz";
          else
          type = "ie";

          if( br != type )
          {
          alert("&feature_not_supported;");
          return;
          }
          }

          if (style=="")
          style = "toolbar=1,directories=0,status=1,menubar=0,scrollbars=1,resizable=1,width=600,height=400";

          /* IE option is used for conditon checking to open a NEW WINDOW for UPLOAD SUPPORT PACK feature. */
          if( br == "ie")
          {
          if ( !subWindow || subWindow.closed) {
          subWindow = window.open(href, "_upload", style);
          }
          else {
          subWindow.location = href;
          }
          subWindow.focus();
          }
          else
          {
          parent.content.location.href = href;
          }
          return false;
          }
        </script>
			</head>
			<body bgcolor="#FFFFFF" text="#000000" onload="PageLoad();" onresize="adjectmenu();">
				<xsl:apply-templates select="cpqnav"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="cpqnav">
		<xsl:apply-templates select="navheader"/>
		<DIV style="LEFT: 10px; TOP: 67px; POSITION: absolute;  margin: 1px 0 0 0; width:100%" id="main_tabs">
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td>
						<table class="NavTab" border="0" cellPadding="0" cellSpacing="0">
							<tr class="NavTab">
								<xsl:apply-templates select="navitem"/>
								<td width="*">&#032;</td>
							</tr>
						</table>
					</td>
				</tr>
				<!-- home submenu -->
				<tr>
					<td>
						<DIV id="homesubdiv" style="display:none;">
							<table bgcolor="A6A6A6" cellPadding="1" cellSpacing="0" width="100%" id="Homesubtable" name="Homesubtable">
								<tr>
									<xsl:for-each select="navitem[@id='HomeTab']/navitemtasks/navitemtask">
										<div>
											<xsl:attribute name="id"><xsl:value-of select="./@id"/>d</xsl:attribute>
											<xsl:call-template name="menuitem">
												<xsl:with-param name="task" select="navitem[@id='HomeTab']/navitemtasks/navitemtask"/>
											</xsl:call-template>
										</div>
									</xsl:for-each>
								</tr>
							</table>
						</DIV>
			<!--        </td>
				</tr>
				
				- m c catalog submenu-
				<tr>
					<td > -->
						<DIV id="catsubdiv" style="display:none;">
							<table bgcolor="A6A6A6" cellPadding="1" cellSpacing="0" width="100%" id="Catalogsubtable" name="Catalogsubtable">
								<tr>
									<xsl:for-each select="navitem[@id='CatalogTab']/navitemtasks/navitemtask">
										<div>
											<xsl:attribute name="id"><xsl:value-of select="./@id"/>d</xsl:attribute>
											<xsl:call-template name="menuitem">
												<xsl:with-param name="task" select="navitem[@id='CatalogTab']/navitemtasks/navitemtask"/>
											</xsl:call-template>
										</div>
									</xsl:for-each>
								</tr>
							</table>
						</DIV>
			<!--        </td>
			</tr>
			
			-report submenu-
			<tr>
				<td > -->
						<DIV id="reportsubdiv" style="display:none;size='100'" align="left">
							<table bgcolor="A6A6A6" cellPadding="1" cellSpacing="0" width="100%" id="Reportsubtable" name="Reportsubtable">
								<tr>
									<xsl:for-each select="navitem[@id='ReportTab']/navitemtasks/navitemtask">
										<div>
											<xsl:attribute name="id"><xsl:value-of select="./@id"/></xsl:attribute>
											<xsl:call-template name="menuitem">
												<xsl:with-param name="task" select="navitem[@id='ReportTab']/navitemtasks/navitemtask"/>
											</xsl:call-template>
										</div>
									</xsl:for-each>
								</tr>
							</table>
						</DIV>
						
		<!--archive submenu -->
						<DIV id="archivesubdiv" style="display:none;size='100'" align="left">
							<table bgcolor="A6A6A6" cellPadding="1" cellSpacing="0" width="100%" id="Archivesubtable" name="Archivesubtable">
								<tr>
									<xsl:for-each select="navitem[@id='ArchiveTab']/navitemtasks/navitemtask">
										<div>
											<xsl:attribute name="id"><xsl:value-of select="./@id"/></xsl:attribute>
											<xsl:call-template name="menuitem">
												<xsl:with-param name="task" select="navitem[@id='ArchiveTab']/navitemtasks/navitemtask"/>
											</xsl:call-template>
										</div>
									</xsl:for-each>
								</tr>
							</table>
						</DIV>

			<!--           </td>
				</tr>
				
				-log submenu-
				<tr>
					<td> -->
						<DIV id="logsubdiv" style="display:none;">
							<table cellPadding="1" cellSpacing="0" width="100%" bgcolor="A6A6A6" id="Logsubtable" name="Logsubtable">
								<!--<tr>
             <xsl:apply-templates select="navitem[@id='LogTab']/navitemtasks/navitemtask"/>
             </tr> -->
								<tr>
									<xsl:for-each select="navitem[@id='LogTab']/navitemtasks/navitemtask">
										<div>
											<xsl:attribute name="id"><xsl:value-of select="./@id"/>d</xsl:attribute>
											<xsl:call-template name="menuitem">
												<xsl:with-param name="task" select="navitem[@id='LogTab']/navitemtasks/navitemtask"/>
											</xsl:call-template>
										</div>
									</xsl:for-each>
								</tr>
							</table>
						</DIV>
					</td>
				</tr>
				<tr>
					<td height="2px" bgcolor="#0B366B"/>
				</tr>
			</table>
		</DIV>
	</xsl:template>
	<!--    Header template -->
	<xsl:template match="navheader">
		<!-- we allow for a logo image that is 86x16, with14px padding (size of "M") per corporate branding -->
		<DIV style="LEFT: 13px; TOP: 10px; POSITION: absolute; margin: 1px 0 0 0; width: 100%; display:block" id="header">
			<table class="NavHdr" width="100%" valign="top" cellspacing="0" cellpadding="0">
				<col width="5%" valign="bottom"/>
				<col width="85%" valign="bottom"/>
				<col width="5%" valign="bottom"/>
				<col width="5%" valign="bottom"/>
				<tr class="NavHdr" valign="center">
					<td class="NavHdr">
						<a href="&hp_link;" title="&corp_name;" target="new">
							<img width="54" height="33" src="&webapp_base;/img/logo_top.gif" alt="&corp_name;"/>
						</a>
					</td>
					<td class="NavHdr" style="padding-left:8;">
						<xsl:value-of select="agentname"/>
					</td>
					<!--<td class="NavHdr" style="padding-right:6" nowrap="1">
						--><!--                  <a href="/" target="_parent" title="&devhome_tip;" alt="$machine"><xsl:value-of select="$machine"/><xsl:text> </xsl:text>&devhome;</a> --><!--
					</td>-->
					<!--
               <td class="NavHdr" nowrap="1">
                  <a target="_helpwin" title="&help_tip;" onclick="javascript:openHelpWin('{helphref}');">
                     <xsl:attribute name="href"><xsl:value-of select="helphref"/></xsl:attribute>&help;
                  </a>
               </td> -->
				</tr>
				<!--<tr class="NavHdr" style="margin-top: -1;">
					<td class="NavHdr" height="20">
						<img src="&webapp_base;/img/logo_bottom.gif" width="54" height="20"/>
					</td>
					<td class="NavHdr" colspan="3" height="20"> </td>
				</tr>-->
			</table>
		</DIV>
	</xsl:template>
	<!--    Tab template  -->
	<xsl:template match="navitem">
		<xsl:choose>
			<xsl:when test="$vcrlinks='false'and @vcrm_links='true'"/>
			<xsl:otherwise>
				<td class="NavTab" id="{@id}" height="25" width="114" background="&webapp_base;/img/tab.gif" align="center" valign="center" onMouseOver="In(this);" onMouseOut="Out(this);" style="cursor:pointer;">
					<xsl:choose>
						<xsl:when test="$operator = 'false' and @id='ArchiveTab'">
							<xsl:attribute name="onclick">javascript:window.alert('&not_oper_admin_msg;');return false;</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="onclick">Navigate(this);</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<a class="NavTab" id="{@id}A" target="{targetframe}" title="{title}">
						<xsl:choose>
							<xsl:when test="$operator = 'false' and @id='ArchiveTab'">
								<xsl:attribute name="href">#</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="href"><xsl:value-of select="href"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="title"><xsl:choose><xsl:when test="tip"><xsl:value-of select="tip"/></xsl:when></xsl:choose></xsl:attribute>
						<xsl:value-of select="title"/>
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="menuitem">
	<!-- Don't use Space or linebrask in <td> below,else replacecell will fail.-->
		<xsl:variable name="tasktext">
			<xsl:value-of select="name"/>
		</xsl:variable>
		<xsl:variable name="taskid">
			<xsl:value-of select="@id"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$operator='false' and @requires_operator='true'">
				<!--a onclick="javascript:window.alert('&not_oper_admin_msg;');return false;" onmouseover="javascript:highlightmenu(this);" onmouseout="javascript:unhighlightmenu(this);"-->
				<td valign="top" width="13px">
					<img name="menubullet" id="menubullet" src="&img_menu_item_disabled;" height="13" width="13"/>
				</td>
				<td valign="top" align="left" width="*" bgcolor="A6A6A6" onclick="javascript:window.alert('&not_oper_admin_msg;');return false;" onmouseover="javascript:highlightmenu(this);" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif;
 font-size:11pt; font-weight:bold" name="{$taskid}" id="{$taskid}"><xsl:value-of select="$tasktext"/></td>
				<!--/a-->
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="href_ie">
						<xsl:variable name="href">
							<xsl:value-of select="href_ie"/>
						</xsl:variable>
						<xsl:variable name="style">
							<xsl:value-of select="taskwinstyle"/>
						</xsl:variable>
						<td valign="top" width="13px">
							<img name="menubullet" id="menubullet" src="&img_menu_item_disabled;" height="13" width="13"/>
						</td>
						<td valign="top" align="left" width="*" onclick="javascript:TaskClick('{$href}','{$style}','ie');return false;" bgcolor="A6A6A6" onmouseover="javascript:highlightmenu(this);" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif;
 font-size:11pt; font-weight:bold" name="{$taskid}" id="{$taskid}"><xsl:value-of select="$tasktext"/></td>
					</xsl:when>
					<xsl:when test="href_moz">
						<xsl:variable name="href">
							<xsl:value-of select="href_moz"/>
						</xsl:variable>
						<xsl:variable name="style">
							<xsl:value-of select="taskwinstyle"/>
						</xsl:variable>
						<td valign="top" width="13px">
							<img name="menubullet" id="menubullet" src="&img_menu_item_disabled;" height="13" width="13"/>
						</td>
						<td valign="top" align="left" width="*" onclick="javascript:TaskClick('{$href}','{$style}','moz');return false;" bgcolor="A6A6A6" onmouseover="javascript:highlightmenu(this);" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif;
 font-size:11pt; font-weight:bold" name="{$taskid}" id="{$taskid}"><xsl:value-of select="$tasktext"/></td>
					</xsl:when>
					<xsl:when test="altclick and //navitem[@id='CatalogTab' and @vcrm_links != 'true']">
						<!-- VCRM only-->
						<xsl:variable name="clickee">
							<xsl:value-of select="altclick"/>
						</xsl:variable>
						<td valign="top" width="13px">
							<img name="menubullet" id="menubullet" src="&img_menu_item_disabled;" height="13" width="13"/>
						</td>
						<td valign="top" align="left" width="*" onclick="{$clickee}" onmouseover="javascript:highlightmenu(this);" bgcolor="A6A6A6" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif;
 font-size:11pt; font-weight:bold" name="{$taskid}" id="{$taskid}"><xsl:value-of select="$tasktext"/></td>
					</xsl:when>
					<xsl:when test="altclick">
						<xsl:variable name="clickee">
							<xsl:value-of select="altclick"/>
						</xsl:variable>
						<td valign="top" width="13px">
							<img name="menubullet" id="menubullet" src="&img_menu_item_disabled;" height="13" width="13"/>
						</td>
						<td valign="top" align="left" width="*" onclick="var a=parent.content.location.toString();if(a.indexOf('inventory')>0)parent.content.{$clickee};" onmouseover="javascript:highlightmenu(this);" bgcolor="A6A6A6" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif;
 font-size:11pt; font-weight:bold" name="{$taskid}" id="{$taskid}"><xsl:value-of select="$tasktext"/></td>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="href">
							<xsl:value-of select="href"/>
						</xsl:variable>
						<xsl:variable name="style">
							<xsl:value-of select="taskwinstyle"/>
						</xsl:variable>
						<td valign="top" width="13px"><div onclick="javascript:TaskClick('{$href}','{$style}','both');return false;" bgcolor="A6A6A6" onmouseover="javascript:highlightmenu(this);" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif; font-size:11pt; font-weight:bold;display:block;" name="{$taskid}x" id="{$taskid}x">
							<img name="menubullet" id="menubullet" src="&img_menu_item_disabled;" height="13" width="13"/></div>
						</td>
						<td valign="top" align="left" width="*"><div onclick="javascript:TaskClick('{$href}','{$style}','both');return false;" bgcolor="A6A6A6" onmouseover="javascript:highlightmenu(this);" onmouseout="javascript:unhighlightmenu(this);" style="cursor:pointer; FONT-FAMILY: Verdana, Geneva, Arial, Helvetica, sans-serif;
 font-size:11pt; font-weight:bold;display:block;" name="{$taskid}" id="{$taskid}"><xsl:value-of select="$tasktext"/></div></td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
