<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2002 Hewlett-Packard Development Group, L.P. -->
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common_en SYSTEM "../dtd.en/common.dtd">
%common_en;
]>
<!-- end of localization preface -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:param name="lang">en</xsl:param>
   <xsl:param name="operator">false</xsl:param>
   <xsl:param name="is_locked">false</xsl:param>
   <xsl:param name="os_filter_key"/>

   <xsl:include href="vcrm_catbody.xsl"/>

   <xsl:output method="html" indent="yes"/>
   <xsl:template match="/">
      <html>
         <head>
            <meta http-equiv="pragma" content="no-cache"/>
            <link rel="stylesheet" href="&webapp_base;/vcrepmgr.css" type="text/css"/>
            <link rel="stylesheet" href="&webapp_base;/cpqwiz.css" type="text/css"/>
         </head>
         <!-- generated the body of the HTML doc -->
         <xsl:call-template name="catbody">
            <xsl:with-param name="lang"><xsl:value-of select="$lang"/></xsl:with-param>
            <xsl:with-param name="is_locked"><xsl:value-of select="$is_locked"/></xsl:with-param>
            <!-- set operator true so checkbox behavior is correct -->
            <xsl:with-param name="operator" select="$operator"/>
		<xsl:with-param name="os_filter_plat" select="substring-after(substring-before($os_filter_key,'MAJO'),'PLAT')"/>
		<xsl:with-param name="os_filter_maj" select="substring-after(substring-before($os_filter_key,'MINO'),'MAJO')"/>
		<xsl:with-param name="os_filter_min" select="substring-after(substring-before($os_filter_key,'SR'),'MINO')"/>
		<xsl:with-param name="os_filter_sr" select="substring-after(substring-before($os_filter_key,'EDIT'),'SR')"/>
		<xsl:with-param name="os_filter_edi" select="substring-after(substring-before($os_filter_key,'OPER'),'EDIT')"/>
		<xsl:with-param name="os_filter_os" select="substring-after($os_filter_key,'OPER')"/>
            <xsl:with-param name="enCheckBox">true</xsl:with-param>
         </xsl:call-template>
      </html>
   </xsl:template>
</xsl:stylesheet>
