<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:key name="Swnames" match="swItem" use="key"/>
	<xsl:key name="Hwnames" match="swItem" use="concat(key,installedVer)"/>
	<xsl:template match="/">
		<xsl:element name="swItemList">
			<xsl:for-each select="//swItem[generate-id() = generate-id(key('Swnames',key)[1]) and (key/@Important = '4' or key/@Important = '3') ]">
				<xsl:copy-of select="." />
				<!--	Remove Duplicates in SW Iteams-->
			</xsl:for-each>
			<xsl:for-each select="//swItem[generate-id() = generate-id(key('Hwnames',concat(key,installedVer))[1]) and (key/@Important = '2' or key/@Important = '1') ]">
				<xsl:copy-of select="." />
				<!-- Remove Duplicates in HW items-->
			</xsl:for-each>
			<xsl:for-each select="//swItem[key/@Important = '0' ]">
				<xsl:copy-of select="." />
				<!-- Don't Remove Duplicates in WMI items-->
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
