<?xml version="1.0"?> 
<!-- Copyright 2003 Hewlett-Packard Development Group, L.P. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
   <xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
   <!-- this template translates any categories -->
   <xsl:template match="category">
      <xsl:variable name="domCatTrans" select="document('../xml.en/vcrm_cattrans.xml')"/>
      <!-- lowercase the filename element from the package XML -->
      <xsl:variable name="filekey">
         <xsl:variable name="temp" select="/cpq_package/filename"/>
         <xsl:value-of select="translate($temp,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
      </xsl:variable>
      <xsl:choose>
         <xsl:when test="$domCatTrans/category_translator/category_translated_files/file[@name=$filekey]">
            <xsl:variable name="catkey" select="$domCatTrans/category_translator/category_translated_files/file[@name=$filekey]/@new_category_key"/>
            <category><xsl:attribute name="key"><xsl:value-of select="$catkey"/></xsl:attribute>
               <xsl:apply-templates select="$domCatTrans/category_translator/new_categories/new_category[@key=$catkey]/category_xlate"/>
            </category>
         </xsl:when>
         <xsl:otherwise>
            <xsl:copy>
               <xsl:apply-templates select="@*"/>
               <xsl:apply-templates select="node()"/>
            </xsl:copy>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>
</xsl:stylesheet>
